Get tenant setup
curl --request GET \
--url https://app.msportal.ai/api/public/v1/tenant \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/tenant"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/tenant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/tenant",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/tenant"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/tenant")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/tenant")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"billing_email": "<string>",
"address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"province_state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"country_code": "<string>",
"timezone": "<string>",
"locale": "<string>",
"currency": "<string>",
"custom_domain": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logo_url": "<string>",
"logo_small_url": "<string>",
"logo_light_url": "<string>",
"logo_dark_url": "<string>",
"logo_small_light_url": "<string>",
"logo_small_dark_url": "<string>",
"favicon_url": "<string>",
"reporting_logo_url": "<string>",
"updated_at": "<string>",
"addressData": {
"street_address": "<string>",
"street_address_2": "<string>",
"city": "<string>",
"state_province": "<string>",
"postal_code": "<string>",
"country": "<string>",
"country_code": "<string>",
"formatted_address": "<string>",
"latitude": 123,
"longitude": 123,
"google_place_id": "<string>",
"osm_place_id": "<string>"
},
"primaryColor": "<string>",
"signinBranding": {
"logoHeight": 72,
"backgroundType": "default",
"backgroundColor": "<string>",
"gradientFrom": "<string>",
"gradientTo": "<string>",
"backgroundImagePath": "<string>",
"overlayOpacity": 40,
"cardStyle": "solid",
"welcomeTitle": "<string>",
"welcomeSubtitle": "<string>",
"helpInstructions": "<string>"
},
"settings": {}
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Tenant Setup
Get tenant setup
The MSP tenant’s profile, locale, currency, branding image paths, brand color, sign-in page design and supported portal/support/AI settings, plus updated_at for the PATCH endpoints. Secrets and subscription internals are never returned. Requires tenant.read and read_settings_tenant (or a tenant settings write/manage permission, or manage_launch_center). MSP staff only.
GET
/
api
/
public
/
v1
/
tenant
Get tenant setup
curl --request GET \
--url https://app.msportal.ai/api/public/v1/tenant \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/tenant"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/tenant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/tenant",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/tenant"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/tenant")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/tenant")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"billing_email": "<string>",
"address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"province_state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"country_code": "<string>",
"timezone": "<string>",
"locale": "<string>",
"currency": "<string>",
"custom_domain": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logo_url": "<string>",
"logo_small_url": "<string>",
"logo_light_url": "<string>",
"logo_dark_url": "<string>",
"logo_small_light_url": "<string>",
"logo_small_dark_url": "<string>",
"favicon_url": "<string>",
"reporting_logo_url": "<string>",
"updated_at": "<string>",
"addressData": {
"street_address": "<string>",
"street_address_2": "<string>",
"city": "<string>",
"state_province": "<string>",
"postal_code": "<string>",
"country": "<string>",
"country_code": "<string>",
"formatted_address": "<string>",
"latitude": 123,
"longitude": 123,
"google_place_id": "<string>",
"osm_place_id": "<string>"
},
"primaryColor": "<string>",
"signinBranding": {
"logoHeight": 72,
"backgroundType": "default",
"backgroundColor": "<string>",
"gradientFrom": "<string>",
"gradientTo": "<string>",
"backgroundImagePath": "<string>",
"overlayOpacity": 40,
"cardStyle": "solid",
"welcomeTitle": "<string>",
"welcomeSubtitle": "<string>",
"helpInstructions": "<string>"
},
"settings": {}
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Was this page helpful?